> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Links

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json GET /payment_links
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /payment_links:
    get:
      summary: List Payment Links
      operationId: list-payment-links
      parameters:
        - name: since
          in: query
          description: >-
            Date using <<glossary:ISO 8601>>. If present, return only payment
            links with date equal or after `since`.
          schema:
            type: string
            format: date
            default: '2021-01-01T00:00:00.000Z'
        - name: until
          in: query
          description: >-
            Date using <<glossary:ISO 8601>>. If present, return only payment
            links with date equal or before `until`.
          schema:
            type: string
            format: date
            default: '2021-01-31T00:00:00.000Z'
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
        - name: per_page
          in: query
          description: >-
            Amount of payment links per page. Defaults to 30. The maximum amount
            is 300.
          schema:
            type: integer
            format: int32
        - name: page
          in: query
          description: The page being retrieved by the endpoint. Starts from 1.
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    [
                    {
                      "id": "plink_Ks5dfE2djfns34d4q",
                      "object": "payment_link",
                      "amount": 120900,
                      "currency": "MXN",
                      "status": "active",
                      "created_at": "2024-08-02T20:28:13Z",
                      "expires_at": "2024-08-02T21:28:13Z",
                      "mode": "test",
                      "url": "https://pay.fintoc.com/plink_Ks5dfE2djfns34d4q",
                      "customer_email": "customer@example.com",
                      "checkout": {
                        "description": "null"
                      },
                      "metadata": {}
                    },
                    {
                      "id": "plink_K7Jgshdb2zwNNSxPyx8w3GZ",
                      "object": "payment_link",
                      "amount": 120900,
                      "currency": "MXN",
                      "status": "active",
                      "created_at": "2024-08-02T20:28:13Z",
                      "expires_at": "2024-08-02T21:28:13Z",
                      "mode": "test",
                      "url": "https://pay.fintoc.com/plink_K7Jgshdb2zwNNSxPyx8w3GZ",
                      "customer_email": "customer@example.com",
                      "checkout": {
                        "description": "null"
                      },
                      "metadata": {
                      'order_id' = '26736382'
                      }
                    }
                    ]
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false

````